Bug 493473 - Package Manager generates unhandled exception errors when installing VSFTPD 2.0.5-12
Package Manager generates unhandled exception errors when installing VSFTPD 2...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.3
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 17:05 EDT by eol.bugzilla
Modified: 2013-03-12 16:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 16:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash dump captured by Package Manager (2.84 KB, text/plain)
2009-04-01 17:06 EDT, eol.bugzilla
no flags Details

  None (edit)
Description eol.bugzilla 2009-04-01 17:05:32 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.6) Gecko/2009020414 CentOS/3.0.6-1.el5.centos Firefox/3.0.6

Using Package Manager or 'yum' to install the VSFTPD-2.0.5-12.el5.x86_64 results in a generated crash page, detailed crash log attached.  Most, if not all of the crash references the file /usr/lib/python2.4/site-packages/yum/sqlitesack.py, and ends with TypeError: unsubscriptable object.

Reproducible: Always

Steps to Reproduce:
1.Start Package Manager
2.Search for or select VSFTPD
3.Select check box, click Apply, click Continue.
4.Observe "Exception Occurred" pop-up when Resolving Dependencies window appears.
Actual Results:  
Crash dump window

Expected Results:  
Installed VSFTPD.

Installation of the package was attempted after update of CentOS 5.2 to 5.3 release.  Machine had been rebooted as per request.  Further maintenance was attempted with Package Manager to verify utility operation, other packages were handled in routine manner (install and deletion).
Comment 1 eol.bugzilla 2009-04-01 17:06:59 EDT
Created attachment 337664 [details]
Crash dump captured by Package Manager
Comment 2 James Antill 2009-04-01 17:28:50 EDT
What does "yum list yum yum-metadata-parser" say?

Does running "yum clean metadata" fix the problem?
Comment 3 eol.bugzilla 2009-04-02 08:28:14 EDT
First answer:

[root@vlc ~]# yum list yum yum-metadata-parser
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: centos.mirror.nac.net
 * updates: centos.mirror.nac.net
 * addons: centos.mirror.nac.net
 * extras: pubmirrors.reflected.net
Installed Packages
yum.noarch                            3.2.19-18.el5.centos             installed
yum-metadata-parser.x86_64            1.1.2-2.el5                      installed

Second answer: Yes.  Installation was clean, deamon answering normally.
Comment 4 James Antill 2013-03-12 16:30:21 EDT
 This should have been fixed in RHEL-5 (we now never alter/trust the metadata).

Note You need to log in before you can comment on or make changes to this bug.